> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# End active call

> End an active call by its session ID.



## OpenAPI

````yaml api-reference/calls/openapi.json POST /v1/calls/{roomId}/end
openapi: 3.0.3
info:
  title: Persistence Calls API
  version: '1.0'
  description: Start outbound call batches and end active calls.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Calls
paths:
  /v1/calls/{roomId}/end:
    post:
      tags:
        - Calls
      summary: End active call
      description: End the active call identified by its room or session ID.
      operationId: endActiveCall
      parameters:
        - name: roomId
          in: path
          required: true
          description: Active call session ID
          schema:
            type: string
      responses:
        '200':
          description: Call ended
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key issued for the workspace.

````